<xml></xml>

Saxon API for .NET |

# XsltTransformer.SetParameter Method

Set the value of a stylesheet parameter.

public void SetParameter(
QName name,
XdmValue value
);

#### Parameters

name
  The name of the parameter, expressed as a QName. If a parameter of this name has been declared in the stylesheet, the given value will be assigned to the variable. If the variable has not been declared, calling this method has no effect (it is not an error).
value
  The value to be given to the parameter. If the parameter declaration defines a required type for the variable, then this value will be converted in the same way as arguments to function calls (for example, numeric promotion is applied).

#### See Also

XsltTransformer Class | Saxon.Api Namespace